package org.springblade.community.feign;

import org.springblade.community.entity.Residential;
import org.springblade.community.vo.ResidentialVO;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Component
public class ResidentialClientFallback implements IResidentialClient {
            /**
         * 详情
         */
        @Override
        public ResidentialVO detail(Residential residential) {
            return null;
        }

	@Override
	public Residential getById(Long id) {
		return null;
	}

	/**
         * 查询 小区表，新建小区的时候，小区也要作为一个机构存入到机构表里面，机构的编号就使用当前小区的编号
         */
        @Override
        public List<ResidentialVO> list(@RequestParam Map<String,Object> residential) {
            return null;
        }



        /**
         * 新增 小区表，新建小区的时候，小区也要作为一个机构存入到机构表里面，机构的编号就使用当前小区的编号
         */
        @Override
        public boolean save( Residential residential) {
            return false;
        }

        /**
         * 修改 小区表，新建小区的时候，小区也要作为一个机构存入到机构表里面，机构的编号就使用当前小区的编号
         */
        @Override
        public boolean update( Residential residential) {
            return false;
        }

        /**
         * 新增或修改 小区表，新建小区的时候，小区也要作为一个机构存入到机构表里面，机构的编号就使用当前小区的编号
         */
        @Override
        public boolean submit( Residential residential) {
            return false;
        }


        /**
         * 删除 小区表，新建小区的时候，小区也要作为一个机构存入到机构表里面，机构的编号就使用当前小区的编号
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

		@Override
		public List<Residential> listForOrg(Object[] params) {
			return null;
		}

		@Override
		public List<Residential> getListWithYtelevatorXq(List<Long> residentialIds) {
			return null;
		}

		@Override
		public List<Residential> getParkResidential() {
			return null;
		}

	@Override
	public List<Residential> listWithOutCompany(Map<String, Object> residential) {
		return new ArrayList<>();
	}

	@Override
	public List<Residential> listByIds(String ids) {
		return null;
	}


}
